Bug 964284 - dracut-pre-pivot: mkdir: cannot create directory '/sysroot/lib/modules/3.6.10-4.fc18.x86_64': Read-only filesystem
dracut-pre-pivot: mkdir: cannot create directory '/sysroot/lib/modules/3.6.10...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
21
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 14:18 EDT by udo
Modified: 2015-12-02 11:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:47:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the boot messages I could capture. (6.58 MB, image/png)
2013-05-17 14:18 EDT, udo
no flags Details
fedup.log (399.93 KB, application/download)
2013-05-29 11:59 EDT, udo
no flags Details

  None (edit)
Description udo 2013-05-17 14:18:35 EDT
Created attachment 749439 [details]
the boot messages I could capture.

Description of problem: while booting into the upgrade environment created by `fedup --network 18` I get messages as in the attached pic, mainly perhaps: dracut-pre-pivot: mkdir: cannot create directory '/sysroot/lib/modules/3.6.10-4.fc18.x86_64': Read-only filesystem


Version-Release number of selected component (if applicable):
Dunno, what is in fc18?

How reproducible:
Boot into fedup-created environment for upgrading to fedora 18

  
Actual results:
See png.

Expected results:
Upgrade to fedora 18

Additional info:
Fedora 17 with kernel.org 3.9.2 boots fine.
Comment 1 udo 2013-05-18 01:10:48 EDT
Also see bug 901353. Similar error at different stage.

The solution is quite critical as 'support' for Fedora 17 is already waning (ask the systemd maintainers) and will go away completely later this year. We MUST upgrade in order to guarantee continued 'support'.
Comment 2 udo 2013-05-18 04:54:40 EDT
# lsblk
NAME                    MAJ:MIN RM   SIZE RO TYPE  MOUNTPOINT
sda                       8:0    0   1,8T  0 disk  
├─sda1                    8:1    0   200M  0 part  /boot
├─sda2                    8:2    0     2G  0 part  
│ └─swap (dm-6)         253:6    0     2G  0 crypt [SWAP]
└─sda3                    8:3    0   1,8T  0 part  
  ├─my_vg-usrlv (dm-0)  253:0    0     7G  0 lvm   /usr
  ├─my_vg-rootlv (dm-1) 253:1    0   4,9G  0 lvm   /
  ├─my_vg-homelv (dm-2) 253:2    0     4G  0 lvm   /home
  ├─my_vg-varlv (dm-3)  253:3    0     4G  0 lvm   /var
  ├─my_vg-srclv (dm-4)  253:4    0     7G  0 lvm   /usr/src
  └─my_vg-mythlv (dm-5) 253:5    0   1,1T  0 lvm   /Myth
sr0                      11:0    1  1024M  0 rom   

So it is a simple box with a single harddisk with nothing fancy as far as I can see right now.

No /var/log/fedup.log or   /var/log/upgrade.log.

Current cmdline:
BOOT_IMAGE=/vmlinuz-3.9.2 root=/dev/mapper/my_vg-rootlv ro LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us acpi_enforce_resources=lax fbcon=font:SUN12x22 vga=0xF07 threadirqs radeon.pcie_gen2=1 radeon.modeset=1 video=HDMI-A-1:1280x720@50i plymouth.enable=0
Comment 3 udo 2013-05-19 05:50:01 EDT
Would using fedup-0.7.3-4.fc17.noarch help?
Comment 4 udo 2013-05-19 08:55:26 EDT
dracut-018-105.git20120927.fc17.noarch works fine for pre-upgrade situations.
Comment 5 udo 2013-05-21 11:30:42 EDT
See bug 912058 for the systemd-journald part?
Comment 6 udo 2013-05-25 01:33:39 EDT
I upgraded using rpm -Uvh --force --nodeps with the rpms under /var/tmp/fedora-upgrade.

No pcre, lots of dependency issues.
Why do we have to reboot into some fedora kernel anyway?
Why not go to runlevel 1 and kill all stuff that is not needed?
The kernel that is running works, doesn't it?

So the box is no longer a test case for the fedup way of doing things.
For the remaining boxes I'll try the outdated DVD route when Fedora 19 comes around.

(why download software, then burn it into plastic and then write it back to the harddisk it came from?)
Comment 7 Harald Hoyer 2013-05-28 09:54:13 EDT
That seems to be some fedup action.
Comment 8 Will Woods 2013-05-28 14:16:53 EDT
Yes - that directory is supposed to be created by fedup before it reboots:

  https://github.com/wgwoods/fedup/blob/0.7.3/fedup/sysprep.py#L159

If that doesn't happen, the initramfs will attempt to create it:

  https://github.com/wgwoods/fedup-dracut/blob/0.7.3/85system-upgrade-fedora/keep-initramfs.sh#L17

What version of fedup are you using?
Comment 9 udo 2013-05-28 22:34:27 EDT
The F17 current version and the updates-testing version.
Comment 10 udo 2013-05-28 22:49:19 EDT
I.e., one of them being fedup-0.7.3-4.fc17.noarch
Comment 11 Will Woods 2013-05-29 11:33:22 EDT
Please attach your /var/log/fedup.log?
Comment 12 udo 2013-05-29 11:59:09 EDT
Created attachment 754453 [details]
fedup.log
Comment 13 Fedora End Of Life 2013-07-04 00:23:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-12-21 08:36:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-01-09 13:08:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-05-29 05:04:08 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 udo 2015-05-29 08:48:28 EDT
Any results from fedup.log?
Comment 18 Fedora End Of Life 2015-11-04 06:43:06 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-12-01 21:47:26 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.